#!/bin/ksh
# ident @(#)restore-chk.cgi	1.19     97/09/09 SMI
#
# Copyright 1996 Sun Microsystems, Inc. All Rights Reserved

MODULE=services/SUNWsbuA
. /opt/netra/SUNWnetra/lib/netra.globals
. $MODLIB/legato.ksh

## DEBUG
#exec 2> /tmp/debug.out
#echo DEBUG: Vars set: 1>&2
#set 1>&2
#set -x

netra_read_locale "restore-chk.msgs"


# If we weren't passed text_files (e.g. we got here by clicking on a
# directory link), then read text_files out of the arg file.
if [[ "$WWW_text_files" = "" && -s "$WWW_arg_file" ]]; then
	WWW_text_files=`cat $WWW_arg_file`
fi

# Now we're done forever with the arg file, so remove it:
rm -f $WWW_arg_file

#
# do restore
#

# Strip any spurious CRs which might have appeared in $WWW_files
WWW_files="`print -R "$WWW_text_files" | tr '
' ' '`"
# in any case we should put the content of WWW_files in a temp file in 
# /tmp, because spaces are not protected if we pass the content as
# function parameters later on.
rm -f /tmp/list.of.files.to.recover.$$
print -R "$WWW_files" > /tmp/list.of.files.to.recover.$$

# do it
if [[ "$WWW_relocate" = "yes" ]]; then
	err=""
	if [ "$WWW_relocate_dir" = "" ]; then
		err="$BAD_DIR_ERR"
	else
		case "$WWW_relocate_dir" in
		    /)	err="$BAD_DIR_ERR";;
		    /*)	;;
		    *)	err="$BAD_DIR_ERR";;
		esac
	fi
	if [[ "$err" != "" ]]; then
		export FORM_ERROR="$err"
		exec restore.cgi
	fi
elif [[ "$WWW_relocate_dir" != "" ]]; then
	export FORM_ERROR="$RELOC_ERR"
	exec restore.cgi
fi


recover_file_list /tmp/list.of.files.to.recover.$$ </dev/null >/dev/null 2>&1 &

# Now show the success page
netra_html_success
netra_html_head "$title"
printf "${been_requested_msg}" "$MODCGI/status.cgi"
netra_html_tail -u $MODCGI/index.cgi


